Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.event
Class ConstructionHeuristicPhaseLifecycleListenerAdapter

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.constructionheuristic.event.ConstructionHeuristicPhaseLifecycleListenerAdapter

All Implemented Interfaces:
  EventListener, ConstructionHeuristicPhaseLifecycleListener, SolverLifecycleListener

Direct Known Subclasses:
  AbstractConstructionHeuristicForager

    public class ConstructionHeuristicPhaseLifecycleListenerAdapter

extends SolverLifecycleListenerAdapter
implements ConstructionHeuristicPhaseLifecycleListener

Constructor Summary
`ConstructionHeuristicPhaseLifecycleListenerAdapter()`

Method Summary
`void` | `phaseEnded(ConstructionHeuristicPhaseScope phaseScope)`
`void` | `phaseStarted(ConstructionHeuristicPhaseScope phaseScope)`
`void` | `stepEnded(ConstructionHeuristicStepScope stepScope)`
`void` | `stepStarted(ConstructionHeuristicStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### ConstructionHeuristicPhaseLifecycleListenerAdapter

    public ConstructionHeuristicPhaseLifecycleListenerAdapter()

Method Detail

### phaseStarted

    public void phaseStarted(ConstructionHeuristicPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `ConstructionHeuristicPhaseLifecycleListener`

### stepStarted

    public void stepStarted(ConstructionHeuristicStepScope stepScope)

  Specified by:
    `stepStarted` in interface `ConstructionHeuristicPhaseLifecycleListener`

### stepEnded

    public void stepEnded(ConstructionHeuristicStepScope stepScope)

  Specified by:
    `stepEnded` in interface `ConstructionHeuristicPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(ConstructionHeuristicPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `ConstructionHeuristicPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.